org.apache.tapestry5.runtime

## Class PageLifecycleAdapter

- java.lang.Object
- - org.apache.tapestry5.runtime.PageLifecycleAdapter

- All Implemented Interfaces:
    PageLifecycleListener

  Deprecated.
  in 5.3.4, as `PageLifecycleListener` has been deprecated

      public class PageLifecycleAdapter
      extends Object
      implements PageLifecycleListener

  Empty implementation of the `PageLifecycleListener` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageLifecycleAdapter()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `containingPageDidAttach()` Deprecated. Invoked when a page is first attached to the current request, giving components a chance to initialize for the current request.
    `void` | `containingPageDidDetach()` Deprecated. Invoked when the page is detached, allowing components a chance to clear out any temporary or client specific state.
    `void` | `containingPageDidLoad()` Deprecated. Invoked when the page finishes loading.
    `void` | `restoreStateBeforePageAttach()` Deprecated. A kind of "pre-attach" phase allowing components to restore internal state before handling the actual attach; this is primarily used to restore persisted fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageLifecycleAdapter

          public PageLifecycleAdapter()

      Deprecated.

  - ### Method Detail

    - #### containingPageDidAttach

          public void containingPageDidAttach()

      Deprecated.
      Description copied from interface: `PageLifecycleListener`
      Invoked when a page is first attached to the current request, giving components a chance to initialize for the current request.
      Specified by:
        `containingPageDidAttach` in interface `PageLifecycleListener`

    - #### containingPageDidDetach

          public void containingPageDidDetach()

      Deprecated.
      Description copied from interface: `PageLifecycleListener`
      Invoked when the page is detached, allowing components a chance to clear out any temporary or client specific state.
      Specified by:
        `containingPageDidDetach` in interface `PageLifecycleListener`

    - #### containingPageDidLoad

          public void containingPageDidLoad()

      Deprecated.
      Description copied from interface: `PageLifecycleListener`
      Invoked when the page finishes loading. This occurs once all components are loaded and all parameters have been set.
      Specified by:
        `containingPageDidLoad` in interface `PageLifecycleListener`

    - #### restoreStateBeforePageAttach

          public void restoreStateBeforePageAttach()

      Deprecated.
      Description copied from interface: `PageLifecycleListener`
      A kind of "pre-attach" phase allowing components to restore internal state before handling the actual attach; this is primarily used to restore persisted fields.
      Specified by:
        `restoreStateBeforePageAttach` in interface `PageLifecycleListener`

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.